function A = lu_zerlegung(A)
%LU_ZERLEGUNG - zerlegt gegebene Matrix A in A = LU (U obere Dreiecksmatrix, L untere Dreiecksmatrix)

[zeilen,spalten] = size(A);
for k = 1:(spalten-1)
    for i = (k + 1):zeilen
        if A(k,k) ~= 0
            A(i,k) = A(i,k)/A(k,k);
            for j = (k + 1):spalten
                A(i,j) = A(i,j) - A(i,k)*A(k,j);
            end
        else sprintf('Diagonalelement = 0!')
        end
    end
end
end